import request from '@/utils/request';

export function getDrillList(params) {
  return request({
    url: '/api/emergency_plan/drill/list',
    method: 'get',
    params: {
      page: params.pageNum, // 分页参数中的页码
      page_size: params.pageSize, // 分页参数中的每页大小
      planNum: params.planId // 预案编号
    }
  });
}
export function getTrainingList(params) {
  return request({
    url: '/api/emergency_plan/training/list',
    method: 'get',
    params: params
  });
}

export function getPlanDetail(planId) {
  return request({
    url: '/api/emergency_plan/plan/' + planId,
    method: 'get'
  });
}

export function getResponseDetail(responseId) {
  return request({
    url: '/api/emergency_plan/plan/' + responseId,
    method: 'get'
  });
}
